Subject: bug#62762: 'make' often errors with "Org version mismatch" after pulling a new version of the code

From: Dmitry Gutov <[email-masked]>
Date: Fri, 24 Nov 2023 20:56:31 +0200

On 24/11/2023 20:54, Eli Zaretskii wrote:
>> Date: Fri, 24 Nov 2023 19:43:53 +0200
>> Cc:[email-masked],[email-masked],[email-masked],
>>   Kyle Meyer<[email-masked]>
>> From: Dmitry Gutov<[email-masked]>
>>
>> I still see the "Org version mismatch" error fairly often when
>> rebuilding Emacs (after which I have to invoke 'touch lisp/org/...'
>> again), or when trying to use org-mode in an already-built Emacs. All of
>> that with the master branch.
> That's because the version test was not removed, just suppressed in
> the most frequent situations during the build.  But when Org files
> need to be actually loaded (e.g., to generate a manual out of some
> foo.org source), the test will kick in and will abort the command.
> 
> The only way to avoid that is to redesign and reimplement the solution
> for version mismatch in Org macros.

I thought the idea was to skip the version check at least when the Org 
version is built-in? That is, comes with Emacs as opposed to being 
installed from ELPA.